using System;
using System.Reflection;

internal sealed class Delegate166 : MulticastDelegate
{
	public extern PropertyInfo[] Invoke(object object_0);

	public static PropertyInfo[] smethod_0(object object_0, Delegate166 delegate166_1)
	{
		return delegate166_1(object_0);
	}

	public extern Delegate166(object object_0, IntPtr intptr_0);

	static Delegate166()
	{
		Class10.smethod_13(typeof(Delegate166).TypeHandle);
	}

	internal static Delegate166 delegate166_0;
}
